Subject: bug#9556: closed (Re: bug#9556: bug in read syntax for arrays)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Sep 2011 07:45:03 +0000

Your bug report

#9556: bug in read syntax for arrays

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9556: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9556
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9556: bug in read syntax for arrays
From: Andy Wingo <[email-masked]>
To: [email-masked]
Date: Wed, 21 Sep 2011 09:44:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I finally pushed this fix to the repo.
-- 
http://wingolog.org/

Subject: Re: bug in read syntax for arrays
From: Andy Wingo <[email-masked]>
To: Daniel Llorens <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 Sep 2011 19:50:21 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon 05 Sep 2011 05:29, Daniel Llorens <[email-masked]> writes:

> scheme@(guile-user)> #0(1)
> While executing meta-command:
> ERROR: Wrong type argument in position 1: #0(1)
>
> The trivial patch attached fixes this problem. However make check
> passes without the patch, even though arrays.test contains the
> offending syntax #2((1 2) (3 4) (5 6)). I haven't looked into that.

Thanks for the fix; applied.  I think that the deal with the test is
that it's not compiled.  It will eventually get fixed when we start
compiling all the tests.

Andy
-- 
http://wingolog.org/